## 144455

=== trunk/Makefile ===
PACKAGE_NAME = python-csa
PACKAGE_VERSION = $(shell python -c 'from csa.version import __version__; print __version__')

debdir = dist/csa-$(PACKAGE_VERSION)

.PHONY: dist debian-source debian-package

dist/csa-$(PACKAGE_VERSION).tar.gz:
	python setup.py sdist

debian-source: dist/csa-$(PACKAGE_VERSION).tar.gz
	@test ! -e $(debdir) || ( echo "*** Remove directory dist/csa-${PACKAGE_VERSION}" && exit 1 )
	cp -p dist/csa-$(PACKAGE_VERSION).tar.gz dist/$(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.gz
	( cd dist; tar zxf $(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.gz )
	mkdir $(debdir)/debian
	cp -pr debian $(debdir)

debian-package: debian-source
	( cd $(debdir) && dpkg-buildpackage '-mMikael Djurfeldt <mdj@debian.org>' -rfakeroot && cd ../.. && rm -rf $(debdir) )

=== tags/release-0.0.1/Makefile ===
PACKAGE_NAME = python-csa
PACKAGE_VERSION = $(shell python -c 'from csa.version import __version__; print __version__')

debdir = dist/csa-$(PACKAGE_VERSION)

.PHONY: dist debian-source debian-package

dist:
	./setup.py sdist

debian-source: dist
	@test ! -e $(debdir) || ( echo "*** Remove directory dist/csa-${PACKAGE_VERSION}" && exit 1 )
	mv dist/csa-$(PACKAGE_VERSION).tar.gz dist/$(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.gz
	( cd dist; tar zxf $(PACKAGE_NAME)_$(PACKAGE_VERSION).orig.tar.gz )
	mkdir $(debdir)/debian
	cp -pr debian $(debdir)

debian-package: debian-source
	( cd $(debdir) && dpkg-buildpackage '-mMikael Djurfeldt <mdj@debian.org>' -rfakeroot && cd ../.. && rm -r $(debdir) )

=== tags/release-0.0.1/debian/changelog ===
python-csa (0.0.1-1) unstable; urgency=low

  * Initial release (Closes: #588360)

 -- Mikael Djurfeldt <mdj@debian.org>  Wed, 07 Jul 2010 17:45:19 +0200

=== trunk/debian/changelog ===
python-csa (0.1.0-1) unstable; urgency=low

  * New upstream version (Closes: #597299)

 -- Mikael Djurfeldt <mdj@debian.org>  Fri, 30 Mar 2012 15:32:17 +0200

python-csa (0.0.4-1) unstable; urgency=high

  * New upstream version (Closes: #590343)

 -- Mikael Djurfeldt <mdj@debian.org>  Wed, 28 Jul 2010 01:19:48 +0200

python-csa (0.0.3-2) unstable; urgency=high

  * Added missing depends (Closes: #590343)

 -- Mikael Djurfeldt <mdj@debian.org>  Tue, 27 Jul 2010 16:54:20 +0200

python-csa (0.0.3-1) unstable; urgency=high

  * Added shift operator (+ make sure previous bug fixes goes in quickly
    to testing).

 -- Mikael Djurfeldt <mdj@debian.org>  Tue, 27 Jul 2010 07:58:54 +0200

python-csa (0.0.2-1) unstable; urgency=low

  * Bug fixes and extensions.

 -- Mikael Djurfeldt <mdj@debian.org>  Sat, 17 Jul 2010 11:30:38 +0200

=== tags/release-0.0.1/debian/control ===
Source: python-csa
Section: python
Priority: optional
Maintainer: Mikael Djurfeldt <mdj@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
 , python-support (>= 0.90.0~)
 , python-setuptools
 , python-all
 , python-nose
Standards-Version: 3.9.0
Homepage: http://software.incf.org/software/csa
Vcs-Svn: http://svn.incf.org/svn/csa
Vcs-Browser: http://svn.incf.org/svn/csa

Package: python-csa
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Description: The Connection-Set Algebra implemented in Python
 The CSA library provides elementary connection-sets and operators for
 combining them. It also provides an iteration interface to such
 connection-sets enabling efficient iteration over existing connections
 with a small memory footprint also for very large networks. The CSA
 can be used as a component of neuronal network simulators or other
 tools.

=== trunk/debian/control ===
Source: python-csa
Section: python
Priority: optional
Maintainer: Mikael Djurfeldt <mdj@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
 , python-support (>= 0.90.0~)
 , python-setuptools
 , python-all
 , python-nose
 , python-numpy
 , python-matplotlib
Standards-Version: 3.9.3
Homepage: http://software.incf.org/software/csa

Package: python-csa
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-numpy, python-matplotlib
Description: Connection-Set Algebra (CSA) implemented in Python
 The CSA library provides elementary connection-sets and operators for
 combining them. It also provides an iteration interface to such
 connection-sets enabling efficient iteration over existing connections
 with a small memory footprint also for very large networks. The CSA
 can be used as a component of neuronal network simulators or other
 tools.

=== trunk/debian/rules ===
#!/usr/bin/make -f

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	set -e; \
	for python in $(shell pyversions -r); do \
		$$python /usr/bin/nosetests ../../tests/test_csa.py; \
	done
endif

%:
	dh $@
